| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Protected Member Functions | List of all members
Digikam::AdvancedRenameLineEdit Class Reference
Inheritance diagram for Digikam::AdvancedRenameLineEdit:

## Public Slots
void | slotCursorPositionChanged ()
void | slotSetText (const QString &)

## Signals
void | signalReturnPressed ()
void | signalTextChanged (const QString &)
void | signalTokenMarked (bool)

## Public Member Functions
| AdvancedRenameLineEdit (QWidget *const parent=nullptr)
Parser * | parser () const
void | setParser (Parser *parser)
void | setParseTimerDuration (int milliseconds)

## Protected Member Functions
void | keyPressEvent (QKeyEvent *e) override
void | scrollContentsBy (int dx, int dy) override
void | wheelEvent (QWheelEvent *e) override